// Импорт сторонних библиотек.
import * as dotenv from 'dotenv'
import { Telegraf } from 'telegraf'
import { errorHandler } from './errors'
import { testHandler } from './handlers'

// Главная функция приложения (Точка входа).
const main = () => {
	try {
		// Инициализируем библиотеку для переменных окружения
		// Что бы мы могли их читать из файла .env
		dotenv.config()

		// Токен.
		const token = process.env.TELEGRAM_TOKEN
		if (!token) throw new Error('Токен не найден!')

		// Создание экземпляра бота
		const bot = new Telegraf(token)

		// Обработчик команды /start
		bot.start(testHandler)

		// Запуск бота
		bot.launch()
	} catch (e) {
		// Обработка ошибок.
		errorHandler(e)
	}
}

// Старт приложения.
main()
